package com.jianshui.web.controller.platform;

import com.jianshui.common.core.controller.BaseController;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.invoice.domain.dto.HXResponse;
import com.jianshui.platform.dto.InvoiceAdd.BillInfoPDTO;
import com.jianshui.platform.service.InvoiceAddService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * 发票录入
 * 
 */
@Api(tags={"单据录入"},value = "单据录入")
@RestController
@RequestMapping("/platForm/documentEntry/")
public class InvoiceAddController extends BaseController {

    @Autowired
    private static InvoiceAddService addService;

    @ApiOperation(value = "单据保存",notes = "单据保存请求(支持数电普票、数电专票)")
    @PostMapping( "invoiceSave")
    public AjaxResult invoiceSave(@RequestBody BillInfoPDTO billInfoPDTO) throws Exception {
        return toAjax(addService.invoiceSave(billInfoPDTO));
    }

    @ApiOperation(value = "发票开具",notes = "发票直接开具请求(支持数电普票、数电专票)")
    @PostMapping( "invoiceIssuance")
    public HXResponse invoiceIssuance(@RequestBody BillInfoPDTO billInfoPDTO) throws Exception {
        return addService.invoiceIssuance(billInfoPDTO);
    }











}
